*********************************
EMI Test Report
*********************************

- Product: ARGUS
- Release Task: https://savannah.cern.ch/task/?23307
- ETICS Subsystem Configuration Name: emi-argus_R_1_5_0_5_EMI2
- VCS Tag: emi-argus_R_1_5_0_5_EMI2
- EMI Major Release: EMI-2
- Platforms: SL5/x86_64
- Author: JoŽl Casutt
- Date: 04-May-2012
- Test Report Template : v. 3.2

*************
Summary 
*************

1. Deployment tests: 
   1.1. Clean Installation - PASS
   1.2. Upgrade Installation - PASS
2. Static Code Analysis - NA
3. Unit Tests Execution - YES
4. System tests:
  4.1. Functionality tests - PASS
  4.2. Regression tests - PASS
  4.3. Standard Conformance tests - NA
  4.4. Performance tests - YES
  4.5. Scalability tests - NA
  4.6. Integration tests - NA

REMARKS:

*************************** Detailed Testing Report ***************************************

1. Deployment log 
************************

1.1. Clean Installation
-----------------------------
- YUM/APT Testing Repo file contents:

********************************************************************
[core]
name=name=SL 5 base
baseurl=http://linuxsoft.cern.ch/scientific/5x/$basearch/SL
   http://ftp.scientificlinux.org/linux/scientific/5x/$basearch/SL
        http://ftp1.scientificlinux.org/linux/scientific/5x/$basearch/SL
        http://ftp2.scientificlinux.org/linux/scientific/5x/$basearch/SL
protect=0

[extras]
name=epel
baseurl=http://mirror.uv.es/mirror/fedora-epel/5/$basearch
        http://ftp.fi.muni.cz/pub/linux/fedora/epel/5/$basearch
        http://mirror.switch.ch/ftp/mirror/epel/5/$basearch
        http://mirror.de.leaseweb.net/epel/5/$basearch
        http://ftp.rediris.es/mirror/fedora-epel/5/$basearch
protect=0

[EGI-trustanchors]
name=EGI-trustanchors
baseurl=http://repository.egi.eu/sw/production/cas/1/current/
gpgkey=http://repository.egi.eu/sw/production/cas/1/GPG-KEY-EUGridPMA-RPM-3
gpgcheck=1
enabled=1

[EMI-2-RC-base]
name=EMI 2 RC Base Repository
baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/2/RC/sl5/$basearch/base
gpgkey=http://emisoft.web.cern.ch/emisoft/dist/EMI/2/RPM-GPG-KEY-emi
priority=45
protect=1
enabled=1
gpgcheck=0

[EMI-2-RC-third-party]
name=EMI 2 RC Third-Party Repository
baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/2/RC/sl5/$basearch/third-party
gpgkey=http://emisoft.web.cern.ch/emisoft/dist/EMI/2/RPM-GPG-KEY-emi
protect=1
enabled=1
priority=45
gpgcheck=0

[Oracle]
name=Oracle Repository (not for distribution)
baseurl=http://eticssoft.web.cern.ch/eticssoft/repository/externals/oracle-instantclient/10.2.0.4/repo/sl5/$basearch
protect=1
enabled=1
priority=45
********************************************************************

- YUM/APT Install command:

********************************************************************
yum clean all
yum makecache
yum install yum-protectbase yum-priorities
yum update 
yum install ca-policy-egi-core
yum install fetch-crl
service fetch-crl-cron start
yum install emi-argus

Upgrade manually to the last Argus release:
rpm -Uvh http://eticssoft.web.cern.ch/eticssoft/repository/emi/emi.argus.pap/1.5.1/noarch/argus-pap-1.5.1-1.el5.noarch.rpm 
rpm -Uvh http://eticssoft.web.cern.ch/eticssoft/repository/emi/emi.argus.pdp/1.5.1/noarch/argus-pdp-1.5.1-2.sl5.noarch.rpm 
rpm -Uvh http://eticssoft.web.cern.ch/eticssoft/repository/emi/emi.argus.pep-server/1.5.1/noarch/argus-pep-server-1.5.1-2.sl5.noarch.rpm 
********************************************************************

- YUM/APT log:

********************************************************************
[root@thalia yum.repos.d]# yum install emi-argus
Loaded plugins: kernel-module, priorities, protectbase
3935 packages excluded due to repository priority protections
0 packages excluded due to repository protections
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package emi-argus.x86_64 0:1.5.0-1.sl5 set to be updated
--> Processing Dependency: emi-version for package: emi-argus
--> Processing Dependency: argus-pepcli for package: emi-argus
--> Processing Dependency: bdii for package: emi-argus
--> Processing Dependency: argus-pap for package: emi-argus
--> Processing Dependency: lcg-expiregridmapdir for package: emi-argus
--> Processing Dependency: argus-pdp for package: emi-argus
--> Processing Dependency: yaim-argus_server for package: emi-argus
--> Processing Dependency: argus-pep-server for package: emi-argus
--> Running transaction check
---> Package argus-pap.noarch 0:1.5.0-1.el5 set to be updated
--> Processing Dependency: emi-trustmanager for package: argus-pap
--> Processing Dependency: emi-trustmanager-axis for package: argus-pap
--> Processing Dependency: voms-api-java for package: argus-pap
---> Package argus-pdp.noarch 0:1.5.1-1.sl5 set to be updated
--> Processing Dependency: argus-pdp-pep-common for package: argus-pdp
---> Package argus-pep-server.noarch 0:1.5.1-1.sl5 set to be updated
--> Processing Dependency: argus-pep-common for package: argus-pep-server
---> Package argus-pepcli.x86_64 0:2.1.0-2.sl5 set to be updated
--> Processing Dependency: argus-pep-api-c for package: argus-pepcli
--> Processing Dependency: libargus-pep.so.2()(64bit) for package: argus-pepcli
---> Package bdii.noarch 0:5.2.10-1.el5 set to be updated
--> Processing Dependency: glue-schema >= 2.0.0 for package: bdii
--> Processing Dependency: openldap-servers for package: bdii
--> Processing Dependency: expect for package: bdii
--> Processing Dependency: openldap-clients for package: bdii
---> Package emi-version.x86_64 0:2.0.0-1.sl5 set to be updated
---> Package lcg-expiregridmapdir.noarch 0:3.0.1-1 set to be updated
---> Package yaim-argus_server.noarch 0:1.5.1-1.sl5 set to be updated
--> Processing Dependency: glite-yaim-core for package: yaim-argus_server
--> Processing Dependency: glite-yaim-bdii for package: yaim-argus_server
--> Processing Dependency: glite-info-provider-service for package: yaim-argus_server
--> Running transaction check
---> Package argus-pdp-pep-common.noarch 0:1.3.1-1.sl5 set to be updated
--> Processing Dependency: bouncycastle for package: argus-pdp-pep-common
---> Package argus-pep-api-c.x86_64 0:2.1.0-3.sl5 set to be updated
---> Package argus-pep-common.noarch 0:2.2.0-1.sl5 set to be updated
---> Package emi-trustmanager.noarch 0:3.1.3-1.sl5 set to be updated
---> Package emi-trustmanager-axis.noarch 0:2.0.2-1.sl5 set to be updated
--> Processing Dependency: axis for package: emi-trustmanager-axis
---> Package expect.x86_64 0:5.43.0-5.1 set to be updated
---> Package glite-info-provider-service.noarch 0:1.8.1-2.el5 set to be updated
---> Package glite-yaim-bdii.noarch 0:4.3.9-1.el5 set to be updated
---> Package glite-yaim-core.noarch 0:5.1.0-1.sl5 set to be updated
---> Package glue-schema.noarch 0:2.0.8-1.el5 set to be updated
---> Package openldap-clients.x86_64 0:2.3.43-12.el5_6.7 set to be updated
---> Package openldap-servers.x86_64 0:2.3.43-12.el5_6.7 set to be updated
--> Processing Dependency: libltdl.so.3()(64bit) for package: openldap-servers
---> Package voms-api-java.noarch 0:2.0.8-1.el5 set to be updated
--> Processing Dependency: jakarta-commons-cli for package: voms-api-java
--> Processing Dependency: jakarta-commons-lang for package: voms-api-java
--> Processing Dependency: log4j for package: voms-api-java
--> Running transaction check
---> Package axis.x86_64 0:1.2.1-2jpp.6 set to be updated
--> Processing Dependency: jakarta-commons-discovery for package: axis
--> Processing Dependency: javamail for package: axis
--> Processing Dependency: jakarta-commons-logging for package: axis
--> Processing Dependency: jaf for package: axis
--> Processing Dependency: jakarta-commons-httpclient for package: axis
--> Processing Dependency: wsdl4j for package: axis
---> Package bouncycastle.x86_64 0:1.45-6.el5 set to be updated
--> Processing Dependency: java >= 1:1.6 for package: bouncycastle
---> Package jakarta-commons-cli.x86_64 0:1.0-6jpp_10.el5 set to be updated
---> Package jakarta-commons-lang.x86_64 0:2.1-5jpp.1 set to be updated
---> Package libtool-ltdl.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package log4j.x86_64 0:1.2.13-3jpp.2 set to be updated
--> Processing Dependency: xml-commons-apis for package: log4j
--> Running transaction check
---> Package classpathx-jaf.x86_64 0:1.0-9jpp.1 set to be updated
---> Package classpathx-mail.x86_64 0:1.1.1-4jpp.2 set to be updated
---> Package jakarta-commons-discovery.x86_64 1:0.3-4jpp.1 set to be updated
---> Package jakarta-commons-httpclient.x86_64 1:3.0-7jpp.1 set to be updated
---> Package jakarta-commons-logging.x86_64 0:1.0.4-6jpp.1 set to be updated
---> Package java-1.6.0-openjdk.x86_64 1:1.6.0.0-1.25.1.10.6.el5_8 set to be updated
--> Processing Dependency: tzdata-java for package: java-1.6.0-openjdk
--> Processing Dependency: libgif.so.4()(64bit) for package: java-1.6.0-openjdk
---> Package jdk.x86_64 2000:1.6.0_31-fcs set to be updated
---> Package wsdl4j.x86_64 0:1.5.2-4jpp.1 set to be updated
--> Running transaction check
---> Package giflib.x86_64 0:4.1.3-7.1.el5_3.1 set to be updated
---> Package tzdata-java.x86_64 0:2012b-3.el5 set to be updated
--> Finished Dependency Resolution
Beginning Kernel Module Plugin
Finished Kernel Module Plugin

Dependencies Resolved

=====================================================================================================================================
 Package                                 Arch               Version                                  Repository                 Size
=====================================================================================================================================
Installing:
 emi-argus                               x86_64             1.5.0-1.sl5                              EMI-2-RC-base             1.5 k
Installing for dependencies:
 argus-pap                               noarch             1.5.0-1.el5                              EMI-2-RC-base              12 M
 argus-pdp                               noarch             1.5.1-1.sl5                              EMI-2-RC-base              10 M
 argus-pdp-pep-common                    noarch             1.3.1-1.sl5                              EMI-2-RC-base              74 k
 argus-pep-api-c                         x86_64             2.1.0-3.sl5                              EMI-2-RC-base              53 k
 argus-pep-common                        noarch             2.2.0-1.sl5                              EMI-2-RC-base             265 k
 argus-pep-server                        noarch             1.5.1-1.sl5                              EMI-2-RC-base              11 M
 argus-pepcli                            x86_64             2.1.0-2.sl5                              EMI-2-RC-base              23 k
 axis                                    x86_64             1.2.1-2jpp.6                             sl-base                   3.6 M
 bdii                                    noarch             5.2.10-1.el5                             EMI-2-RC-base              22 k
 bouncycastle                            x86_64             1.45-6.el5                               extras                    4.0 M
 classpathx-jaf                          x86_64             1.0-9jpp.1                               sl-base                   111 k
 classpathx-mail                         x86_64             1.1.1-4jpp.2                             sl-base                   1.2 M
 emi-trustmanager                        noarch             3.1.3-1.sl5                              EMI-2-RC-base             272 k
 emi-trustmanager-axis                   noarch             2.0.2-1.sl5                              EMI-2-RC-base              28 k
 emi-version                             x86_64             2.0.0-1.sl5                              EMI-2-RC-base             1.9 k
 expect                                  x86_64             5.43.0-5.1                               sl-base                   160 k
 giflib                                  x86_64             4.1.3-7.1.el5_3.1                        sl-base                    39 k
 glite-info-provider-service             noarch             1.8.1-2.el5                              EMI-2-RC-base              59 k
 glite-yaim-bdii                         noarch             4.3.9-1.el5                              EMI-2-RC-base             9.9 k
 glite-yaim-core                         noarch             5.1.0-1.sl5                              EMI-2-RC-base             118 k
 glue-schema                             noarch             2.0.8-1.el5                              EMI-2-RC-base              34 k
 jakarta-commons-cli                     x86_64             1.0-6jpp_10.el5                          extras                     76 k
 jakarta-commons-discovery               x86_64             1:0.3-4jpp.1                             sl-base                   150 k
 jakarta-commons-httpclient              x86_64             1:3.0-7jpp.1                             sl-base                   595 k
 jakarta-commons-lang                    x86_64             2.1-5jpp.1                               sl-base                   508 k
 jakarta-commons-logging                 x86_64             1.0.4-6jpp.1                             sl-base                   115 k
 java-1.6.0-openjdk                      x86_64             1:1.6.0.0-1.25.1.10.6.el5_8              sl-security                36 M
 jdk                                     x86_64             2000:1.6.0_31-fcs                        sl-security                68 M
 lcg-expiregridmapdir                    noarch             3.0.1-1                                  EMI-2-RC-base             6.5 k
 libtool-ltdl                            x86_64             1.5.22-7.el5_4                           sl-base                    38 k
 log4j                                   x86_64             1.2.13-3jpp.2                            sl-base                   729 k
 openldap-clients                        x86_64             2.3.43-12.el5_6.7                        sl-security               223 k
 openldap-servers                        x86_64             2.3.43-12.el5_6.7                        sl-security               2.2 M
 tzdata-java                             x86_64             2012b-3.el5                              sl-security               181 k
 voms-api-java                           noarch             2.0.8-1.el5                              EMI-2-RC-base             154 k
 wsdl4j                                  x86_64             1.5.2-4jpp.1                             sl-base                   428 k
 yaim-argus_server                       noarch             1.5.1-1.sl5                              EMI-2-RC-base              10 k

Transaction Summary
=====================================================================================================================================
Install      38 Package(s)
Upgrade       0 Package(s)

Total download size: 153 M
Is this ok [y/N]: y
Downloading Packages:
(1/38): emi-argus-1.5.0-1.sl5.x86_64.rpm                                                                      | 1.5 kB     00:00     
(2/38): emi-version-2.0.0-1.sl5.x86_64.rpm                                                                    | 1.9 kB     00:00     
(3/38): lcg-expiregridmapdir-3.0.1-1.noarch.rpm                                                               | 6.5 kB     00:00     
(4/38): glite-yaim-bdii-4.3.9-1.el5.noarch.rpm                                                                | 9.9 kB     00:00     
(5/38): yaim-argus_server-1.5.1-1.sl5.noarch.rpm                                                              |  10 kB     00:00     
(6/38): bdii-5.2.10-1.el5.noarch.rpm                                                                          |  22 kB     00:00     
(7/38): argus-pepcli-2.1.0-2.sl5.x86_64.rpm                                                                   |  23 kB     00:00     
(8/38): emi-trustmanager-axis-2.0.2-1.sl5.noarch.rpm                                                          |  28 kB     00:00     
(9/38): glue-schema-2.0.8-1.el5.noarch.rpm                                                                    |  34 kB     00:00     
(10/38): libtool-ltdl-1.5.22-7.el5_4.x86_64.rpm                                                               |  38 kB     00:00     
(11/38): giflib-4.1.3-7.1.el5_3.1.x86_64.rpm                                                                  |  39 kB     00:00     
(12/38): argus-pep-api-c-2.1.0-3.sl5.x86_64.rpm                                                               |  53 kB     00:00     
(13/38): glite-info-provider-service-1.8.1-2.el5.noarch.rpm                                                   |  59 kB     00:00     
(14/38): argus-pdp-pep-common-1.3.1-1.sl5.noarch.rpm                                                          |  74 kB     00:00     
(15/38): jakarta-commons-cli-1.0-6jpp_10.el5.x86_64.rpm                                                       |  76 kB     00:00     
(16/38): classpathx-jaf-1.0-9jpp.1.x86_64.rpm                                                                 | 111 kB     00:00     
(17/38): jakarta-commons-logging-1.0.4-6jpp.1.x86_64.rpm                                                      | 115 kB     00:00     
(18/38): glite-yaim-core-5.1.0-1.sl5.noarch.rpm                                                               | 118 kB     00:00     
(19/38): jakarta-commons-discovery-0.3-4jpp.1.x86_64.rpm                                                      | 150 kB     00:00     
(20/38): voms-api-java-2.0.8-1.el5.noarch.rpm                                                                 | 154 kB     00:00     
(21/38): expect-5.43.0-5.1.x86_64.rpm                                                                         | 160 kB     00:00     
(22/38): tzdata-java-2012b-3.el5.x86_64.rpm                                                                   | 181 kB     00:00     
(23/38): openldap-clients-2.3.43-12.el5_6.7.x86_64.rpm                                                        | 223 kB     00:00     
(24/38): argus-pep-common-2.2.0-1.sl5.noarch.rpm                                                              | 265 kB     00:00     
(25/38): emi-trustmanager-3.1.3-1.sl5.noarch.rpm                                                              | 272 kB     00:00     
(26/38): wsdl4j-1.5.2-4jpp.1.x86_64.rpm                                                                       | 428 kB     00:00     
(27/38): jakarta-commons-lang-2.1-5jpp.1.x86_64.rpm                                                           | 508 kB     00:00     
(28/38): jakarta-commons-httpclient-3.0-7jpp.1.x86_64.rpm                                                     | 595 kB     00:00     
(29/38): log4j-1.2.13-3jpp.2.x86_64.rpm                                                                       | 729 kB     00:00     
(30/38): classpathx-mail-1.1.1-4jpp.2.x86_64.rpm                                                              | 1.2 MB     00:00     
(31/38): openldap-servers-2.3.43-12.el5_6.7.x86_64.rpm                                                        | 2.2 MB     00:00     
(32/38): axis-1.2.1-2jpp.6.x86_64.rpm                                                                         | 3.6 MB     00:00     
(33/38): bouncycastle-1.45-6.el5.x86_64.rpm                                                                   | 4.0 MB     00:00     
(34/38): argus-pdp-1.5.1-1.sl5.noarch.rpm                                                                     |  10 MB     00:00     
(35/38): argus-pep-server-1.5.1-1.sl5.noarch.rpm                                                              |  11 MB     00:00     
(36/38): argus-pap-1.5.0-1.el5.noarch.rpm                                                                     |  12 MB     00:00     
(37/38): java-1.6.0-openjdk-1.6.0.0-1.25.1.10.6.el5_8.x86_64.rpm                                              |  36 MB     00:10     
(38/38): jdk-1.6.0_31-fcs.x86_64.rpm                                                                          |  68 MB     00:13     
-------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                4.0 MB/s | 153 MB     00:38     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : jakarta-commons-logging                                                                                      1/38 
  Installing     : classpathx-jaf                                                                                               2/38 
  Installing     : jakarta-commons-lang                                                                                         3/38 
  Installing     : jakarta-commons-cli                                                                                          4/38 
  Installing     : jakarta-commons-httpclient                                                                                   5/38 
  Installing     : jakarta-commons-discovery                                                                                    6/38 
  Installing     : expect                                                                                                       7/38 
  Installing     : openldap-clients                                                                                             8/38 
  Installing     : giflib                                                                                                       9/38 
  Installing     : argus-pep-api-c                                                                                             10/38 
  Installing     : argus-pepcli                                                                                                11/38 
  Installing     : libtool-ltdl                                                                                                12/38 
  Installing     : jdk                                                                                                         13/38 
Unpacking JAR files...
   rt.jar...
   jsse.jar...
   charsets.jar...
   tools.jar...
   localedata.jar...
   plugin.jar...
   javaws.jar...
   deploy.jar...
  Installing     : log4j                                                                                                       14/38 
  Installing     : openldap-servers                                                                                            15/38 
  Installing     : glite-yaim-core                                                                                             16/38 
  Installing     : emi-version                                                                                                 17/38 
  Installing     : tzdata-java                                                                                                 18/38 
  Installing     : java-1.6.0-openjdk                                                                                          19/38 
  Installing     : bouncycastle                                                                                                20/38 
  Installing     : wsdl4j                                                                                                      21/38 
  Installing     : classpathx-mail                                                                                             22/38 
  Installing     : emi-trustmanager                                                                                            23/38 
  Installing     : voms-api-java                                                                                               24/38 
  Installing     : axis                                                                                                        25/38 
  Installing     : argus-pdp-pep-common                                                                                        26/38 
  Installing     : argus-pdp                                                                                                   27/38 
  Installing     : emi-trustmanager-axis                                                                                       28/38 
  Installing     : argus-pap                                                                                                   29/38 
  Installing     : argus-pep-common                                                                                            30/38 
  Installing     : argus-pep-server                                                                                            31/38 
  Installing     : glite-yaim-bdii                                                                                             32/38 
  Installing     : glite-info-provider-service                                                                                 33/38 
  Installing     : yaim-argus_server                                                                                           34/38 
  Installing     : lcg-expiregridmapdir                                                                                        35/38 
  Installing     : glue-schema                                                                                                 36/38 
  Installing     : bdii                                                                                                        37/38 
  Installing     : emi-argus                                                                                                   38/38 

Installed:
  emi-argus.x86_64 0:1.5.0-1.sl5                                                                                                     

Dependency Installed:
  argus-pap.noarch 0:1.5.0-1.el5                                      argus-pdp.noarch 0:1.5.1-1.sl5                                
  argus-pdp-pep-common.noarch 0:1.3.1-1.sl5                           argus-pep-api-c.x86_64 0:2.1.0-3.sl5                          
  argus-pep-common.noarch 0:2.2.0-1.sl5                               argus-pep-server.noarch 0:1.5.1-1.sl5                         
  argus-pepcli.x86_64 0:2.1.0-2.sl5                                   axis.x86_64 0:1.2.1-2jpp.6                                    
  bdii.noarch 0:5.2.10-1.el5                                          bouncycastle.x86_64 0:1.45-6.el5                              
  classpathx-jaf.x86_64 0:1.0-9jpp.1                                  classpathx-mail.x86_64 0:1.1.1-4jpp.2                         
  emi-trustmanager.noarch 0:3.1.3-1.sl5                               emi-trustmanager-axis.noarch 0:2.0.2-1.sl5                    
  emi-version.x86_64 0:2.0.0-1.sl5                                    expect.x86_64 0:5.43.0-5.1                                    
  giflib.x86_64 0:4.1.3-7.1.el5_3.1                                   glite-info-provider-service.noarch 0:1.8.1-2.el5              
  glite-yaim-bdii.noarch 0:4.3.9-1.el5                                glite-yaim-core.noarch 0:5.1.0-1.sl5                          
  glue-schema.noarch 0:2.0.8-1.el5                                    jakarta-commons-cli.x86_64 0:1.0-6jpp_10.el5                  
  jakarta-commons-discovery.x86_64 1:0.3-4jpp.1                       jakarta-commons-httpclient.x86_64 1:3.0-7jpp.1                
  jakarta-commons-lang.x86_64 0:2.1-5jpp.1                            jakarta-commons-logging.x86_64 0:1.0.4-6jpp.1                 
  java-1.6.0-openjdk.x86_64 1:1.6.0.0-1.25.1.10.6.el5_8               jdk.x86_64 2000:1.6.0_31-fcs                                  
  lcg-expiregridmapdir.noarch 0:3.0.1-1                               libtool-ltdl.x86_64 0:1.5.22-7.el5_4                          
  log4j.x86_64 0:1.2.13-3jpp.2                                        openldap-clients.x86_64 0:2.3.43-12.el5_6.7                   
  openldap-servers.x86_64 0:2.3.43-12.el5_6.7                         tzdata-java.x86_64 0:2012b-3.el5                              
  voms-api-java.noarch 0:2.0.8-1.el5                                  wsdl4j.x86_64 0:1.5.2-4jpp.1                                  
  yaim-argus_server.noarch 0:1.5.1-1.sl5                             

Complete!
********************************************************************

- Configuration log:

********************************************************************
[root@thalia Testsuite]# /opt/glite/yaim/bin/yaim -c -s /home/casutt/site-info.def -n ARGUS_server
   INFO: Configuring HOST: thalia.switch.ch
   INFO: Using site configuration file: /home/casutt/site-info.def
   INFO: 
         ###################################################################
         
         .             /'.-. ')
         .     yA,-"-,( ,m,:/ )   .oo.     oo    o      ooo  o.     .oo
         .    /      .-Y a  a Y-.     8. .8'    8'8.     8    8b   d'8
         .   /           ~ ~ /         8'    .8oo88.     8    8  8'  8
         . (_/         '===='          8    .8'     8.   8    8  Y   8
         .   Y,-''-,Yy,-.,/           o8o  o8o    o88o  o8o  o8o    o8o
         .    I_))_) I_))_)
         
         
          current working directory: /home/casutt
         site-info.def date: May 4 10:02 /home/casutt/site-info.def
         yaim command: -c -s /home/casutt/site-info.def -n ARGUS_server
         log file: /opt/glite/yaim/bin/../log/yaimlog
         Fri May  4 10:02:51 CEST 2012 : /opt/glite/yaim/bin/yaim
         
         Installed YAIM versions:
         glite-yaim-argus-server 1.5.1-1
         glite-yaim-bdii 4.3.9-1
         glite-yaim-core 5.1.0-1
         
         ####################################################################
   INFO: The default location of the grid-env.(c)sh files will be: /usr/libexec
   INFO: Sourcing the utilities in /opt/glite/yaim/functions/utils
   INFO: Detecting environment
   INFO: Executing function: config_host_certs_check 
   INFO: Executing function: config_edgusers_check 
   INFO: Executing function: config_vomsmap_check 
   INFO: Executing function: config_vomsdir_check 
   INFO: Executing function: config_pap_service_check 
   INFO: Executing function: config_pdp_service_check 
   INFO: Executing function: config_pep_service_check 
   INFO: Executing function: config_info_glue2_service_argus_check 
   INFO: Executing function: config_bdii_5.2_check 
   INFO: Executing function: config_host_certs 
   INFO: Executing function: config_edgusers 
   INFO: Executing function: config_vomsmap_setenv 
   INFO: Executing function: config_vomsmap 
   INFO: Creating grid-map directory in /etc/grid-security/gridmapdir
   INFO: Creating voms grid-map file in /etc/grid-security/voms-grid-mapfile
   INFO: Creating voms groupmap file in /etc/grid-security/groupmapfile
   INFO: Copying the /etc/grid-security/voms-grid-mapfile in the standard location /etc/grid-security/grid-mapfile
   INFO: Executing function: config_vomsdir_setenv 
   INFO: Executing function: config_vomsdir 
   INFO: Executing function: config_pap_service_setenv 
   INFO: Executing function: config_pap_service 
   INFO: Stopping Argus PAP service...
Ok.
   INFO: Create the Argus PAP /usr/share/argus/pap/conf/pap_configuration.ini file
   INFO: Create the Argus PAP /usr/share/argus/pap/conf/pap_authorization.ini file
   INFO: Create the Argus PAP /usr/share/argus/pap/conf/pap-admin.properties file
   INFO: Fixing files and directory permissions in /usr/share/argus/pap
   INFO: Starting Argus PAP service...
   INFO: Executing function: config_pdp_service_setenv 
   INFO: Executing function: config_pdp_service 
   INFO: Stopping Argus PDP service...
   INFO: Create the Argus PDP /etc/argus/pdp/pdp.ini file
   INFO: Fixing files and directory permissions
   INFO: Register /etc/init.d/argus-pdp...
   INFO: Starting Argus PDP service...
Starting argus-pdp...                                      [  OK  ]
   INFO: Executing function: config_pep_service_setenv 
   INFO: Executing function: config_pep_service 
   INFO: Stopping Argus PEP Server service...
   INFO: Create the Argus PEP Server /etc/argus/pepd/pepd.ini file
   INFO: Fixing files and directory permissions in /usr/share/argus/pepd
   INFO: Starting Argus PEP Server service...
Starting argus-pepd...                                     [  OK  ]
   INFO: Executing function: config_info_glue2_service_argus_setenv 
   INFO: Executing function: config_info_glue2_service_argus 
   INFO: Create the /var/lib/bdii/gip/provider/glite-info-glue2-provider-service-argus script
   INFO: Executing function: config_bdii_5.2 
Stopping BDII update process:                              [  OK  ]
Stopping BDII slapd:                                       [  OK  ]
Starting BDII slapd:                                       [  OK  ]
Starting BDII update process:                              [  OK  ]
   INFO: Configuration Complete.                                               [  OK  ]
   INFO: YAIM terminated succesfully.
********************************************************************

1.2. Upgrade Installation
--------------------------------
- YUM/APT Production Repo file contents:

********************************************************************
[UMD-1-base]
name=UMD 1 base (SL5)
baseurl=http://repository.egi.eu/sw/production/umd/1/sl5/$basearch/base
protect=1
enabled=1
# To use priorities you must have yum-priorities installed
priority=45
gpgcheck=1
gpgkey=http://emisoft.web.cern.ch/emisoft/dist/EMI/1/RPM-GPG-KEY-emi http://repo-rpm.ige-project.eu/RPM-GPG-KEY-IGE
[root@thalia yum.repos.d]#

# EGI Software Repository - REPO META (releaseId,repositoryId,repofileId) - (2483,-,241)


[EGI-trustanchors]
name=EGI-trustanchors
baseurl=http://repository.egi.eu/sw/production/cas/1/current/
enabled=1
gpgcheck=1
gpgkey=http://repository.egi.eu/sw/production/cas/1/GPG-KEY-EUGridPMA-RPM-3
********************************************************************

- YUM/APT Install command:

********************************************************************
yum clean all
yum makecache
yum install yum-protectbase yum-priorities
yum update 
yum install ca-policy-egi-core
yum install fetch-crl
service fetch-crl-cron start
yum install emi-argus

here i also run YAIM and added a policy to the PAP, in order to see if it is properly updated as well.
********************************************************************

- YUM/APT Testing Repo file contents:

********************************************************************
[core]
name=name=SL 5 base
baseurl=http://linuxsoft.cern.ch/scientific/5x/$basearch/SL
   http://ftp.scientificlinux.org/linux/scientific/5x/$basearch/SL
        http://ftp1.scientificlinux.org/linux/scientific/5x/$basearch/SL
        http://ftp2.scientificlinux.org/linux/scientific/5x/$basearch/SL
protect=0

[extras]
name=epel
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-5&arch=$basearch
protect=0

[EGI-trustanchors]
name=EGI-trustanchors
baseurl=http://repository.egi.eu/sw/production/cas/1/current/
gpgkey=http://repository.egi.eu/sw/production/cas/1/GPG-KEY-EUGridPMA-RPM-3
gpgcheck=1
enabled=1

[EMI-2-base]
name=EMI 2 Base Repository
baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/2/sl5/$basearch/base
gpgkey=http://emisoft.web.cern.ch/emisoft/dist/EMI/2/RPM-GPG-KEY-emi
gpgcheck=1
priority=45
protect=1
enabled=1

[EMI-2-updates]
name=EMI 2 Updates Repository
baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/2/sl5/$basearch/updates
gpgkey=http://emisoft.web.cern.ch/emisoft/dist/EMI/2/RPM-GPG-KEY-emi
gpgcheck=1
priority=45
protect=1
enabled=1

[EMI-2-third-party]
name=EMI 2 Third-Party Repository
baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/2/sl5/$basearch/third-party
protect=1
enabled=1
priority=45

[Oracle]
name=Oracle Repository (not for distribution)
baseurl=http://eticssoft.web.cern.ch/eticssoft/repository/externals/oracle-instantclient/10.2.0.4/repo/sl5/$basearch
protect=1
enabled=1
priority=45

[EMI-2-testing]
name=EMI 2 Testing Base Repository
baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/testing/2/sl5/$basearch/base
protect=1
enabled=1
priority=2

[EMI-2-testing-updates]
name=EMI 2 Testing Updates Repository
baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/testing/2/sl5/$basearch/updates
protect=1
enabled=1
priority=2

[EMI-2-testing-third-party]
name=EMI 2 Testing Third-Party Repository
baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/testing/2/sl5/$basearch/third-party
protect=1
enabled=1
priority=2
********************************************************************

- YUM/APT Upgrade command:

********************************************************************
yum clean all
yum makecache
yum update

Due to an Error in the Argus 1.4 post uninstall script: 
yum reinstall argus-pap argus-pdp argus-pep-server
********************************************************************

- YUM/APT log:

********************************************************************
[root@thalia yum.repos.d]# yum update
Loaded plugins: fastestmirror, kernel-module, priorities, protectbase
Loading mirror speeds from cached hostfile
 * core: linuxsoft.cern.ch
 * epel: mirror.switch.ch
 * extras: mirror.switch.ch
 * sl-base: ftp2.scientificlinux.org
 * sl-security: ftp2.scientificlinux.org
11066 packages excluded due to repository priority protections
0 packages excluded due to repository protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package argus-pap.noarch 0:1.5.0-1.el5 set to be updated
---> Package argus-pdp.noarch 0:1.5.1-0.sl5 set to be updated
---> Package argus-pdp-pep-common.noarch 0:1.3.1-0.sl5 set to be updated
---> Package argus-pep-api-c.x86_64 0:2.1.1-0.sl5 set to be updated
---> Package argus-pep-common.noarch 0:2.2.0-0.sl5 set to be updated
---> Package argus-pep-server.noarch 0:1.5.1-0.sl5 set to be updated
---> Package argus-pepcli.x86_64 0:2.1.1-0.sl5 set to be updated
---> Package emi-argus.x86_64 0:1.5.0-1.sl5 set to be updated
--> Processing Dependency: bdii for package: emi-argus
--> Processing Dependency: lcg-expiregridmapdir for package: emi-argus
---> Package emi-trustmanager.noarch 0:3.9.9-HEAD.sl5 set to be updated
---> Package emi-trustmanager-axis.noarch 0:1.9.9-HEAD.sl5 set to be updated
---> Package emi-version.x86_64 0:2.0.0-1.sl5 set to be updated
---> Package glite-yaim-core.noarch 0:5.0.3-4.sl5 set to be updated
---> Package voms-api-java.noarch 0:2.0.7-1.el5 set to be updated
---> Package yaim-argus_server.noarch 0:1.5.1-0.sl5 set to be updated
--> Processing Dependency: glite-yaim-bdii for package: yaim-argus_server
--> Processing Dependency: glite-info-provider-service for package: yaim-argus_server
--> Running transaction check
---> Package bdii.noarch 0:5.2.10-1.el5 set to be updated
--> Processing Dependency: glue-schema >= 2.0.0 for package: bdii
--> Processing Dependency: openldap-servers for package: bdii
--> Processing Dependency: expect for package: bdii
--> Processing Dependency: openldap-clients for package: bdii
---> Package glite-info-provider-service.noarch 0:1.8.1-2.el5 set to be updated
---> Package glite-yaim-bdii.noarch 0:4.3.9-1.el5 set to be updated
---> Package lcg-expiregridmapdir.noarch 0:3.0.1-1 set to be updated
--> Running transaction check
---> Package expect.x86_64 0:5.43.0-5.1 set to be updated
---> Package glue-schema.noarch 0:2.0.8-2 set to be updated
---> Package openldap-clients.x86_64 0:2.3.43-12.el5_6.7 set to be updated
---> Package openldap-servers.x86_64 0:2.3.43-12.el5_6.7 set to be updated
--> Processing Dependency: libltdl.so.3()(64bit) for package: openldap-servers
--> Running transaction check
---> Package libtool-ltdl.x86_64 0:1.5.22-7.el5_4 set to be updated
--> Finished Dependency Resolution
Beginning Kernel Module Plugin
Finished Kernel Module Plugin

Dependencies Resolved

==================================================================================================================================
 Package                                   Arch                 Version                         Repository                   Size
==================================================================================================================================
Installing:
 voms-api-java                             noarch               2.0.7-1.el5                     EMI-2-testing               153 k
     replacing  vomsjapi.noarch 2.0.6-1.sl5

Updating:
 argus-pap                                 noarch               1.5.0-1.el5                     EMI-2-testing                12 M
 argus-pdp                                 noarch               1.5.1-0.sl5                     EMI-2-testing                10 M
 argus-pdp-pep-common                      noarch               1.3.1-0.sl5                     EMI-2-testing                74 k
 argus-pep-api-c                           x86_64               2.1.1-0.sl5                     EMI-2-testing                53 k
 argus-pep-common                          noarch               2.2.0-0.sl5                     EMI-2-testing               265 k
 argus-pep-server                          noarch               1.5.1-0.sl5                     EMI-2-testing                11 M
 argus-pepcli                              x86_64               2.1.1-0.sl5                     EMI-2-testing                23 k
 emi-argus                                 x86_64               1.5.0-1.sl5                     EMI-2-testing               1.5 k
 emi-trustmanager                          noarch               3.9.9-HEAD.sl5                  EMI-2-testing               272 k
 emi-trustmanager-axis                     noarch               1.9.9-HEAD.sl5                  EMI-2-testing                28 k
 emi-version                               x86_64               2.0.0-1.sl5                     EMI-2-testing               1.9 k
 glite-yaim-core                           noarch               5.0.3-4.sl5                     EMI-2-testing               118 k
 yaim-argus_server                         noarch               1.5.1-0.sl5                     EMI-2-testing                10 k
Installing for dependencies:
 bdii                                      noarch               5.2.10-1.el5                    EMI-2-testing                22 k
 expect                                    x86_64               5.43.0-5.1                      sl-base                     160 k
 glite-info-provider-service               noarch               1.8.1-2.el5                     EMI-2-testing                59 k
 glite-yaim-bdii                           noarch               4.3.9-1.el5                     EMI-2-testing               9.9 k
 glue-schema                               noarch               2.0.8-2                         EMI-2-testing                33 k
 lcg-expiregridmapdir                      noarch               3.0.1-1                         EMI-2-testing               6.5 k
 libtool-ltdl                              x86_64               1.5.22-7.el5_4                  sl-base                      38 k
 openldap-clients                          x86_64               2.3.43-12.el5_6.7               sl-security                 223 k
 openldap-servers                          x86_64               2.3.43-12.el5_6.7               sl-security                 2.2 M

Transaction Summary
==================================================================================================================================
Install      10 Package(s)
Upgrade      13 Package(s)

Total download size: 37 M
Is this ok [y/N]: y
Downloading Packages:
(1/23): emi-argus-1.5.0-1.sl5.x86_64.rpm                                                                   | 1.5 kB     00:00     
(2/23): emi-version-2.0.0-1.sl5.x86_64.rpm                                                                 | 1.9 kB     00:00     
(3/23): lcg-expiregridmapdir-3.0.1-1.noarch.rpm                                                            | 6.5 kB     00:00     
(4/23): glite-yaim-bdii-4.3.9-1.el5.noarch.rpm                                                             | 9.9 kB     00:00     
(5/23): yaim-argus_server-1.5.1-0.sl5.noarch.rpm                                                           |  10 kB     00:00     
(6/23): bdii-5.2.10-1.el5.noarch.rpm                                                                       |  22 kB     00:00     
(7/23): argus-pepcli-2.1.1-0.sl5.x86_64.rpm                                                                |  23 kB     00:00     
(8/23): emi-trustmanager-axis-1.9.9-HEAD.sl5.noarch.rpm                                                    |  28 kB     00:00     
(9/23): glue-schema-2.0.8-2.noarch.rpm                                                                     |  33 kB     00:00     
(10/23): libtool-ltdl-1.5.22-7.el5_4.x86_64.rpm                                                            |  38 kB     00:00     
(11/23): argus-pep-api-c-2.1.1-0.sl5.x86_64.rpm                                                            |  53 kB     00:00     
(12/23): glite-info-provider-service-1.8.1-2.el5.noarch.rpm                                                |  59 kB     00:00     
(13/23): argus-pdp-pep-common-1.3.1-0.sl5.noarch.rpm                                                       |  74 kB     00:00     
(14/23): glite-yaim-core-5.0.3-4.sl5.noarch.rpm                                                            | 118 kB     00:00     
(15/23): voms-api-java-2.0.7-1.el5.noarch.rpm                                                              | 153 kB     00:00     
(16/23): expect-5.43.0-5.1.x86_64.rpm                                                                      | 160 kB     00:00     
(17/23): openldap-clients-2.3.43-12.el5_6.7.x86_64.rpm                                                     | 223 kB     00:00     
(18/23): argus-pep-common-2.2.0-0.sl5.noarch.rpm                                                           | 265 kB     00:00     
(19/23): emi-trustmanager-3.9.9-HEAD.sl5.noarch.rpm                                                        | 272 kB     00:00     
(20/23): openldap-servers-2.3.43-12.el5_6.7.x86_64.rpm                                                     | 2.2 MB     00:01     
(21/23): argus-pdp-1.5.1-0.sl5.noarch.rpm                                                                  |  10 MB     00:00     
(22/23): argus-pep-server-1.5.1-0.sl5.noarch.rpm                                                           |  11 MB     00:00     
(23/23): argus-pap-1.5.0-1.el5.noarch.rpm                                                                  |  12 MB     00:00     
----------------------------------------------------------------------------------------------------------------------------------
Total                                                                                             5.9 MB/s |  37 MB     00:06     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : argus-pep-api-c                                                                                           1/37 
  Updating       : argus-pepcli                                                                                              2/37 
  Installing     : expect                                                                                                    3/37 
  Installing     : libtool-ltdl                                                                                              4/37 
  Installing     : openldap-servers                                                                                          5/37 
  Installing     : openldap-clients                                                                                          6/37 
  Updating       : emi-trustmanager                                                                                          7/37 
  Installing     : voms-api-java                                                                                             8/37 
  Updating       : argus-pdp-pep-common                                                                                      9/37 
  Updating       : argus-pdp                                                                                                10/37 
  Updating       : emi-trustmanager-axis                                                                                    11/37 
  Updating       : argus-pap                                                                                                12/37 
  Updating       : emi-version                                                                                              13/37 
  Updating       : glite-yaim-core                                                                                          14/37 
  Updating       : argus-pep-common                                                                                         15/37 
  Updating       : argus-pep-server                                                                                         16/37 
  Installing     : glite-yaim-bdii                                                                                          17/37 
  Installing     : glue-schema                                                                                              18/37 
  Installing     : bdii                                                                                                     19/37 
  Installing     : glite-info-provider-service                                                                              20/37 
  Updating       : yaim-argus_server                                                                                        21/37 
  Installing     : lcg-expiregridmapdir                                                                                     22/37 
  Updating       : emi-argus                                                                                                23/37 
  Cleanup        : emi-argus                                                                                                24/37 
  Cleanup        : argus-pdp-pep-common                                                                                     25/37 
  Cleanup        : argus-pepcli                                                                                             26/37 
  Cleanup        : argus-pep-common                                                                                         27/37 
Stopping argus-pepd... Unable to connect to localhost:8155, perhaps the service is not running
waited 60 s, force kill[  OK  ]
  Cleanup        : argus-pep-server                                                                                         28/37 
  Cleanup        : glite-yaim-core                                                                                          29/37 
  Cleanup        : emi-trustmanager                                                                                         30/37 
  Erasing        : vomsjapi                                                                                                 31/37 
Stopping argus-pdp... Unable to connect to localhost:8153, perhaps the service is not running
waited 60 s, force kill[  OK  ]
  Cleanup        : argus-pdp                                                                                                32/37 
  Cleanup        : argus-pep-api-c                                                                                          33/37 
  Cleanup        : emi-version                                                                                              34/37 
  Cleanup        : emi-trustmanager-axis                                                                                    35/37 
  Cleanup        : yaim-argus_server                                                                                        36/37 
PAP  server is not running!
  Cleanup        : argus-pap                                                                                                37/37 

Installed:
  voms-api-java.noarch 0:2.0.7-1.el5                                                                                              

Dependency Installed:
  bdii.noarch 0:5.2.10-1.el5                                         expect.x86_64 0:5.43.0-5.1                                   
  glite-info-provider-service.noarch 0:1.8.1-2.el5                   glite-yaim-bdii.noarch 0:4.3.9-1.el5                         
  glue-schema.noarch 0:2.0.8-2                                       lcg-expiregridmapdir.noarch 0:3.0.1-1                        
  libtool-ltdl.x86_64 0:1.5.22-7.el5_4                               openldap-clients.x86_64 0:2.3.43-12.el5_6.7                  
  openldap-servers.x86_64 0:2.3.43-12.el5_6.7                       

Updated:
  argus-pap.noarch 0:1.5.0-1.el5                 argus-pdp.noarch 0:1.5.1-0.sl5         argus-pdp-pep-common.noarch 0:1.3.1-0.sl5 
  argus-pep-api-c.x86_64 0:2.1.1-0.sl5           argus-pep-common.noarch 0:2.2.0-0.sl5  argus-pep-server.noarch 0:1.5.1-0.sl5     
  argus-pepcli.x86_64 0:2.1.1-0.sl5              emi-argus.x86_64 0:1.5.0-1.sl5         emi-trustmanager.noarch 0:3.9.9-HEAD.sl5  
  emi-trustmanager-axis.noarch 0:1.9.9-HEAD.sl5  emi-version.x86_64 0:2.0.0-1.sl5       glite-yaim-core.noarch 0:5.0.3-4.sl5      
  yaim-argus_server.noarch 0:1.5.1-0.sl5        

Replaced:
  vomsjapi.noarch 0:2.0.6-1.sl5                                                                                                   

Complete!

Due to an Error in the Argus 1.4 post-install script that can not be corrected in the current Version (since it is in the former version), i have also to reinstall the service:

[root@thalia casutt]# yum reinstall argus-pap argus-pdp argus-pep-server
Loaded plugins: fastestmirror, kernel-module, priorities, protectbase
Setting up Reinstall Process
Loading mirror speeds from cached hostfile
 * core: linuxsoft.cern.ch
 * epel: mirror.switch.ch
 * extras: mirror.switch.ch
 * sl-base: ftp2.scientificlinux.org
 * sl-security: ftp2.scientificlinux.org
11066 packages excluded due to repository priority protections
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package argus-pap.noarch 0:1.5.0-1.el5 set to be updated
---> Package argus-pdp.noarch 0:1.5.1-0.sl5 set to be updated
---> Package argus-pep-server.noarch 0:1.5.1-0.sl5 set to be updated
--> Finished Dependency Resolution
Beginning Kernel Module Plugin
Finished Kernel Module Plugin

Dependencies Resolved

==================================================================================================================================
 Package                            Arch                     Version                        Repository                       Size
==================================================================================================================================
Reinstalling:
 argus-pap                          noarch                   1.5.0-1.el5                    EMI-2-testing                    12 M
 argus-pdp                          noarch                   1.5.1-0.sl5                    EMI-2-testing                    10 M
 argus-pep-server                   noarch                   1.5.1-0.sl5                    EMI-2-testing                    11 M

Transaction Summary
==================================================================================================================================
Remove        0 Package(s)
Reinstall     3 Package(s)
Downgrade     0 Package(s)

Total download size: 33 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): argus-pdp-1.5.1-0.sl5.noarch.rpm                                                                    |  10 MB     00:00     
(2/3): argus-pep-server-1.5.1-0.sl5.noarch.rpm                                                             |  11 MB     00:00     
(3/3): argus-pap-1.5.0-1.el5.noarch.rpm                                                                    |  12 MB     00:00     
----------------------------------------------------------------------------------------------------------------------------------
Total                                                                                              34 MB/s |  33 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : argus-pep-server                                                                                           1/3 
  Installing     : argus-pdp                                                                                                  2/3 
  Installing     : argus-pap                                                                                                  3/3 

Installed:
  argus-pap.noarch 0:1.5.0-1.el5          argus-pdp.noarch 0:1.5.1-0.sl5          argus-pep-server.noarch 0:1.5.1-0.sl5         

Complete!
********************************************************************

- Configuration log:

********************************************************************
[root@thalia casutt]# /opt/glite/yaim/bin/yaim -c -s site-info.def -n ARGUS_server
   INFO: Configuring HOST: thalia.switch.ch
   INFO: Using site configuration file: site-info.def
   INFO: 
         ###################################################################
         
         .             /'.-. ')
         .     yA,-"-,( ,m,:/ )   .oo.     oo    o      ooo  o.     .oo
         .    /      .-Y a  a Y-.     8. .8'    8'8.     8    8b   d'8
         .   /           ~ ~ /         8'    .8oo88.     8    8  8'  8
         . (_/         '===='          8    .8'     8.   8    8  Y   8
         .   Y,-''-,Yy,-.,/           o8o  o8o    o88o  o8o  o8o    o8o
         .    I_))_) I_))_)
         
         
         current working directory: /home/casutt
         site-info.def date: May 4 12:49 /home/casutt/site-info.def
         yaim command: -c -s /home/casutt/site-info.def -n ARGUS_server
         log file: /opt/glite/yaim/bin/../log/yaimlog
         Fri May  4 12:50:12 CEST 2012 : /opt/glite/yaim/bin/yaim
         
         Installed YAIM versions:
         glite-yaim-argus-server 1.5.1-1
         glite-yaim-bdii 4.3.9-1
         glite-yaim-core 5.1.0-1
         
         Installed YAIM versions:
         glite-yaim-argus-server 1.5.1-1
         glite-yaim-bdii 4.3.9-1
         glite-yaim-core 5.0.3-4
         
         ####################################################################
   INFO: The default location of the grid-env.(c)sh files will be: /usr/libexec
   INFO: Sourcing the utilities in /opt/glite/yaim/functions/utils
   INFO: Detecting environment
   INFO: Executing function: config_host_certs_check 
   INFO: Executing function: config_edgusers_check 
   INFO: Executing function: config_vomsmap_check 
   INFO: Executing function: config_vomsdir_check 
   INFO: Executing function: config_pap_service_check 
   INFO: Executing function: config_pdp_service_check 
   INFO: Executing function: config_pep_service_check 
   INFO: Executing function: config_info_glue2_service_argus_check 
   INFO: Executing function: config_bdii_5.2_check 
   INFO: Executing function: config_host_certs 
   INFO: Executing function: config_edgusers 
   INFO: Executing function: config_vomsmap_setenv 
   INFO: Executing function: config_vomsmap 
   INFO: Creating grid-map directory in /etc/grid-security/gridmapdir
   INFO: Creating voms grid-map file in /etc/grid-security/voms-grid-mapfile
   INFO: Creating voms groupmap file in /etc/grid-security/groupmapfile
   INFO: Copying the /etc/grid-security/voms-grid-mapfile in the standard location /etc/grid-security/grid-mapfile
   INFO: Executing function: config_vomsdir_setenv 
   INFO: Executing function: config_vomsdir 
   INFO: Executing function: config_pap_service_setenv 
   INFO: Executing function: config_pap_service 
   INFO: Stopping Argus PAP service...
Ok.
   INFO: Create the Argus PAP /usr/share/argus/pap/conf/pap_configuration.ini file
   INFO: Create the Argus PAP /usr/share/argus/pap/conf/pap_authorization.ini file
   INFO: Create the Argus PAP /usr/share/argus/pap/conf/pap-admin.properties file
   INFO: Fixing files and directory permissions in /usr/share/argus/pap
   INFO: Starting Argus PAP service...
   INFO: Executing function: config_pdp_service_setenv 
   INFO: Executing function: config_pdp_service 
   INFO: Stopping Argus PDP service...
   INFO: Create the Argus PDP /etc/argus/pdp/pdp.ini file
   INFO: Fixing files and directory permissions
   INFO: Register /etc/init.d/argus-pdp...
   INFO: Starting Argus PDP service...
Starting argus-pdp...                                      [  OK  ]
   INFO: Executing function: config_pep_service_setenv 
   INFO: Executing function: config_pep_service 
   INFO: Stopping Argus PEP Server service...
   INFO: Create the Argus PEP Server /etc/argus/pepd/pepd.ini file
   INFO: Fixing files and directory permissions in /usr/share/argus/pepd
   INFO: Starting Argus PEP Server service...
Starting argus-pepd...                                     [  OK  ]
   INFO: Executing function: config_info_glue2_service_argus_setenv 
   INFO: Executing function: config_info_glue2_service_argus 
   INFO: Create the /var/lib/bdii/gip/provider/glite-info-glue2-provider-service-argus script
   INFO: Executing function: config_bdii_5.2 
Stopping BDII update process:                              [  OK  ]
Stopping BDII slapd:                                       [  OK  ]
Starting BDII slapd:                                       [  OK  ]
Starting BDII update process:                              [  OK  ]
   INFO: Configuration Complete.                                               [  OK  ]
   INFO: YAIM terminated succesfully.
********************************************************************

2. Static Code Analysis
******************************
- URL where static code analysis results can be accessed
Not Applicable

3. Unit Tests
*****************
- URL pointing to the results of the Unit Tests

The JUnit tests are run at build time. Search for 'T E S T S' in the following build reports:
http://etics-repository.cern.ch/repository/download/registered/OverallReports/emi/emi.argus/1.5.0-5/sl5_x86_64_gcc412EPEL/reports.tar.gz/-/reports/reportModuleDetail-emi.argus.pep-server-emi-argus-pep-server_R_1_5_1_2.html
http://etics-repository.cern.ch/repository/download/registered/OverallReports/emi/emi.argus/1.5.0-5/sl5_x86_64_gcc412EPEL/reports.tar.gz/-/reports/reportModuleDetail-emi.argus.pep-server-emi-argus-pep-server_R_1_5_1_2.html


4. System tests 
*********************
- URL where the tests/testsuite can be accessed: https://svn.cern.ch/reps/glxa/testsuites/tags/ARGUS_1_5_0
- URL where the test results can be accessed: https://svn.cern.ch/reps/glxa/testsuites/testreports/emi-argus_R_1_5_0_5_EMI2_testreport_SL5.txt

4.4. Performance tests 
*******************************
https://twiki.cern.ch/twiki/bin/view/EGEE/AuthorizationFramework#Perfomance_and_Load_Testing

---------------End of System Test Summary ------------------
Edit | Attach | Watch | Print version | History: r11 < r10 < r9 < r8 < r7 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r11 - 2012-05-04 - ValeryTschoppExCern
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright &© 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback